{
  "http_interactions": [
    {
      "recorded_at": "2016-03-01T08:38:42",
      "request": {
        "body": {
          "encoding": "utf-8",
          "string": "grant_type=client_credentials"
        },
        "headers": {
          "Accept": "*/*",
          "Accept-Encoding": "gzip, deflate",
          "Authorization": "Basic <BASIC_AUTH>",
          "Connection": "keep-alive",
          "Content-Length": "29",
          "Content-Type": "application/x-www-form-urlencoded",
          "User-Agent": "<USER_AGENT> PRAW/4.0.0a1 prawcore/0.0.3"
        },
        "method": "POST",
        "uri": "https://www.reddit.com/api/v1/access_token"
      },
      "response": {
        "body": {
          "base64_string": "H4sIAAAAAAAAA6tWSkxOTi0uji/Jz07NU7JSUNItyE03i/B0zA7JyYvPddetzPDOMMyoNA51NjNR0lFQAiuML6ksSAWpTkpNLEotAomnVhRkFqUWx2eCTDE2MzDQUVAqTs6HKNNSqgUA1x4DhWoAAAA=",
          "encoding": "UTF-8",
          "string": ""
        },
        "headers": {
          "CF-RAY": "27cb4b5073753994-PHX",
          "Connection": "keep-alive",
          "Content-Encoding": "gzip",
          "Content-Type": "application/json; charset=UTF-8",
          "Date": "Tue, 01 Mar 2016 08:38:42 GMT",
          "Server": "cloudflare-nginx",
          "Set-Cookie": "__cfduid=d3ebf21fe4a200b347f6d181e9ecabc0d1456821521; expires=Wed, 01-Mar-17 08:38:41 GMT; path=/; domain=.reddit.com; HttpOnly",
          "Strict-Transport-Security": "max-age=15552000; includeSubDomains; preload",
          "Transfer-Encoding": "chunked",
          "X-Moose": "majestic",
          "cache-control": "max-age=0, must-revalidate",
          "x-content-type-options": "nosniff",
          "x-frame-options": "SAMEORIGIN",
          "x-xss-protection": "1; mode=block"
        },
        "status": {
          "code": 200,
          "message": "OK"
        },
        "url": "https://www.reddit.com/api/v1/access_token"
      }
    },
    {
      "recorded_at": "2016-03-01T08:38:43",
      "request": {
        "body": {
          "encoding": "utf-8",
          "string": ""
        },
        "headers": {
          "Accept": "*/*",
          "Accept-Encoding": "gzip, deflate",
          "Authorization": "bearer -pmg6XIAkTln_mG-yhKh1hy3UC64",
          "Connection": "keep-alive",
          "Cookie": "loid=8xfx7B9Hyqm3iNY3gN; loidcreated=2016-03-01T08%3A38%3A42.047Z; __cfduid=d3ebf21fe4a200b347f6d181e9ecabc0d1456821521",
          "User-Agent": "<USER_AGENT> PRAW/4.0.0a1 prawcore/0.0.3"
        },
        "method": "GET",
        "uri": "https://oauth.reddit.com/r/askreddit/top?raw_json=1&limit=100&t=all"
      },
      "response": {
        "body": {
          "base64_string": "[encoded data, 30616 characters]",
          "encoding": "UTF-8",
          "string": ""
        },
        "headers": {
          "CF-RAY": "27cb4b51c1fe39ee-PHX",
          "Connection": "keep-alive",
          "Content-Encoding": "gzip",
          "Content-Length": "22961",
          "Content-Type": "application/json; charset=UTF-8",
          "Date": "Tue, 01 Mar 2016 08:38:42 GMT",
          "Server": "cloudflare-nginx",
          "Strict-Transport-Security": "max-age=15552000; includeSubDomains; preload",
          "Vary": "accept-encoding",
          "X-Moose": "majestic",
          "access-control-allow-origin": "*",
          "access-control-expose-headers": "X-Reddit-Tracking, X-Moose",
          "cache-control": "max-age=0, must-revalidate",
          "x-content-type-options": "nosniff",
          "x-frame-options": "SAMEORIGIN",
          "x-reddit-tracking": "https://pixel.redditmedia.com/pixel/of_destiny.png?v=WkKQzOBEQOwNxOM%2FAaBvo6vBg5UJqWogfq8u7ayF4qMxFT03l0N4git7viEui0unKbrixWooYgo%3D",
          "x-ua-compatible": "IE=edge",
          "x-xss-protection": "1; mode=block"
        },
        "status": {
          "code": 200,
          "message": "OK"
        },
        "url": "https://oauth.reddit.com/r/askreddit/top?raw_json=1&limit=100&t=all"
      }
    }
  ],
  "recorded_with": "betamax/0.5.1"
}
